> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve separated speaker audio

> Retrieve the separated audio for a specific speaker.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/voices/pvc/{voice_id}/samples/{sample_id}/speakers/{speaker_id}/audio
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voices/pvc/{voice_id}/samples/{sample_id}/speakers/{speaker_id}/audio:
    get:
      tags:
        - Voices
      summary: Retrieve separated speaker audio
      description: Retrieve the separated audio for a specific speaker.
      operationId: get_speaker_audio
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Voice ID to be used, you can use GET /v1/voices to list all the
              available voices.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            title: Voice Id
          description: >-
            Voice ID to be used, you can use GET /v1/voices to list all the
            available voices.
        - name: sample_id
          in: path
          required: true
          schema:
            type: string
            description: Sample ID to be used
            examples:
              - VW7YKqPnjY4h39yTbx2L
            title: Sample Id
          description: Sample ID to be used
        - name: speaker_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Speaker ID to be used, you can use GET
              /v1/voices/{voice_id}/samples/{sample_id}/speakers to list all the
              available speakers for a sample.
            examples:
              - VW7YKqPnjY4h39yTbx2L
            title: Speaker Id
          description: >-
            Speaker ID to be used, you can use GET
            /v1/voices/{voice_id}/samples/{sample_id}/speakers to list all the
            available speakers for a sample.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpeakerAudioResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SpeakerAudioResponseModel:
      properties:
        audio_base_64:
          type: string
          title: Audio Base 64
          description: The base64 encoded audio.
        media_type:
          type: string
          title: Media Type
          description: The media type of the audio.
        duration_secs:
          type: number
          title: Duration Secs
          description: The duration of the audio in seconds.
      type: object
      required:
        - audio_base_64
        - media_type
        - duration_secs
      title: SpeakerAudioResponseModel
      example:
        audio_base_64: audio_base_64
        duration_secs: 5
        media_type: audio/mpeg
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.